"""Read in sww file, interpolate at specified locations and plot
"""

import project
from pyvolution.util import file_function
from pyvolution.coordinate_transforms.redfearn import degminsec2decimal_degrees, redfearn

#swwfile = project.outputdir + project.basename + '.sww'
swwfile = project.outputname + '_0.0tide' + '.sww'
#swwfile = project.outputdir + 'karratha_100m_12m.sww'

#MOST Boundary directly north of Legendre island
y = project.north
x = (project.p3[1] + project.p4[1])/2   #?????//
z, easting, northing  = redfearn(y, x)


#From Neil
gauges = [[easting, northing],
          [470882, 7717952],
          [469390, 7715426],
          [469214, 7714979],
          [468899, 7715177],
          [469038, 7715725],
          [470285, 7717470]]
          

    
#gauge_names = ['MOST',
#               'Gauge_1', 'Gauge_2', 'Gauge_3',
#               'Gauge_4', 'Gauge_5', 'Gauge_6']
 

#Read model output
from caching import cache
#f = file_function(swwfile,
#                  quantities = 'stage',
#                  interpolation_points = gauges,
#                  verbose = True)

f = cache(file_function, swwfile,
          {'quantities': 'stage',
           'interpolation_points': gauges,
           'verbose': True},
          compression = False, 
          dependencies = [swwfile],
          verbose = True)

print f
model_time = f.T



for k, g in enumerate(gauges):
    model_values = []
    for i, t in enumerate(f.T):
        val = f(t, point_id = k)[0]
        model_values.append(val)

    from pylab import *
    ion()
    hold(False)
    plot(model_time, model_values, '-b')
    name = 'Gauge_%d: %s' %(k, str(g))
    title(name)
    
    savefig('Gauge_%d' %k)

    raw_input('Next')
show()

